Skip to main content
GET
/
countries
/
{slug}
/
abroad-player-seasons
Seasons
curl --request GET \
  --url 'https://api.eliteprospects.com/v1/countries/{slug}/abroad-player-seasons?apiKey='
{
  "_meta": {
    "generatedAt": "<string>",
    "offset": 123,
    "limit": 123,
    "totalRecords": 123
  },
  "_links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "data": [
    {
      "slug": "<string>",
      "startYear": 123,
      "endYear": 123
    }
  ]
}

Authorizations

apiKey
string
query
required

Path Parameters

slug
string
required

Slug of the country to get seasons for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: slug, startYear, endYear

Available options:
slug,
startYear,
endYear,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
continent
enum<string> | null
required

Filter by continent

Available options:
INT,
AF,
AN,
AS,
EU,
NA,
OC,
SA,
null
playerType
enum<string>

Filter by playerType

Available options:
GOALTENDER,
SKATER
nationalityType
enum<string>

Filter by nationalityType

Available options:
ANY,
PRIMARY,
SECONDARY

Response

200 - application/json

A paginated list of seasons.

_meta
object
data
object[]